Переполнение буфера в libsndfile

Дата публикации:
21.09.2007
Дата изменения:
21.09.2007
Всего просмотров:
1086
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libsndfile 1.x
Уязвимые версии: libsndfile 1.0.17, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "flac_buffer_copy()" файла src/flac.c при обработке FLAC файлов. Удаленный пользователь может с помощью специально сформированного FLAC файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.mega-nerd.com/libsndfile/

Решение: Установите исправление с сайта производителя.

или введите имя

CAPTCHA